Subject: Re: bug#39281: gdm doesn't start

From: "Raghav Gururajan" <[email-masked]>
Date: Mon, 27 Jan 2020 08:51:25 +0000

> I believe that I've found the problem!

Nice!

> Using the technique that Ludo’ described in <https://issues.guix.gnu.org/issue/34580#17>, I was
> able to grab an strace of gdm (attached) while it was failing to start properly. I was suspicious
> of the following line:
> 
> """
> 418 22:46:10 sendto(8, "<13>Jan 26 22:46:10 gdm: GdmManager: couldn't look up username
> gnome-initial-setup\n", 83, MSG_NOSIGNAL, NULL, 0) = 83 <5.487224>
> """
> 
> so I removed gnome-initial-setup from the propagated-inputs with the following patch, and, indeed,
> that resolved the problem with gdm on my system.

That's strange. Both our system share similar configuration. But for me gdm works fine with gnome-initial-setup being present. This is confusing.

> While I'm still not exactly sure why this was causing gdm problems, and why `herd restart
> xorg-server` caused gdm to start working correctly, I think that removing gnome-initial-setup from
> the gnome meta-package is the right thing to do. Instead, perhaps it could be provided via its own
> service, auto-selected by the installer. If I recall correctly from other distros (e.g. Fedora),
> the gnome-initial-setup wizard is run from its own user on first boot, and after it finishes, the
> user is logged in as themselves. That said, gnome-initial-setup did seem to run fine for me the
> first time I logged into gnome after it was installed, and hasn't stared again.
> 
> Thoughts?

I would say debugging and fixing would be better than removing. Let me see what I can do.
 
> P.S. Thanks Raghav for your work on making gnome in guix a better experience!

10-4 on the sarcasm. ;-)

Regards,
RG.